// keystore_service.dart

import 'package:flutter/services.dart';

class KeystoreService {
  static const MethodChannel _channel = MethodChannel('com.icingDialer/keystore');

  // Generate or retrieve the symmetric key from Keystore
  Future<String> getSymmetricKey() async {
    final String symmetricKey = await _channel.invokeMethod('getSymmetricKey');
    return symmetricKey;
  }

// Optional: Implement key deletion or other key management methods
}
